import os
import sys

def replace_backslash(directory):
    for root, _, files in os.walk(directory):
        for filename in files:
            if "\\" in filename:
                file_path = os.path.join(root, filename)
                new_filename = filename.replace("\\", "⧹")
                new_file_path = os.path.join(root, new_filename)
                os.rename(file_path, new_file_path)
                print(f"Renamed {file_path} to {new_file_path}")

if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage: python script_name.py <directory_path>")
    else:
        directory_path = sys.argv[1]
        if not os.path.exists(directory_path):
            print("Directory not found.")
        else:
            replace_backslash(directory_path)
